
Foreman - Bug #12365

app/services/fact_parser.rb does not find virtual interfaces with alphanum aliases

11/02/2015 07:40 AM - Julien Pivotto

Status: Closed   

Priority: Normal   

Assignee: Julien Pivotto   

Category: Importers   

Target version: 1.10.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2883

  

Description

We have in our lab virtual interfaces with the login of the developers (e.g eth0:roidelapluie). They are recognized as physical

interface and overwrite etho.

Expected in the foreman:

eth0 phy

eth0_roidelapluie virt

eth0_julien virt

got:

eth0_julien phy

Associated revisions

Revision 86701faf - 11/03/2015 06:36 AM - Julien Pivotto

Fixes #12365 - Recognize virtual interfaces with alphanum aliases as such

We have in our lab virtual interfaces with the login of the developers

(e.g eth0:roidelapluie). They are recognized as physical interface and

overwrite eth0.

Expected in the foreman:

eth0 phy

eth0_roidelapluie virt

eth0_julien virt

got:

eth0_julien phy

This commit fixes that by changing the regex that checks for virtual

interfaces.

Revision aabadd90 - 01/19/2016 08:05 AM - Julien Pivotto

Fixes #12365 - Recognize virtual interfaces with alphanum aliases as such

We have in our lab virtual interfaces with the login of the developers

(e.g eth0:roidelapluie). They are recognized as physical interface and

overwrite eth0.

Expected in the foreman:

eth0 phy

eth0_roidelapluie virt

eth0_julien virt

got:

eth0_julien phy

This commit fixes that by changing the regex that checks for virtual

interfaces.
(cherry picked from commit 86701faf31a16925a6c689d1bcd6630c655dada7)

History

#1 - 11/02/2015 07:41 AM - Dominic Cleal

- Subject changed from  app/services/fact_parser.rb does not find virtual interfaces with alphanum aliases to app/services/fact_parser.rb does not find

virtual interfaces with alphanum aliases

- Category set to Importers

#2 - 11/02/2015 08:02 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Julien Pivotto

- Pull request https://github.com/theforeman/foreman/pull/2883 added

#3 - 11/03/2015 07:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 86701faf31a16925a6c689d1bcd6630c655dada7.

#4 - 11/03/2015 07:04 AM - Dominic Cleal

- translation missing: en.field_release set to 104
